# Asterisk Project : Asterisk 13 Application_SLATrunk

Created by wikibot on Aug 08, 2014

# SLATrunk()

### Synopsis

Shared Line Appearance Trunk.

### Description

This application should be executed by an SLA trunk on an inbound call. The channel calling this application should correspond to the SLA trunk with the name trunk that is being passed as an argument.

On exit, this application will set the variable `SLATRUNK_STATUS` to one of the following values:

- `SLATRUNK_STATUS`
  - FAILURE
  - SUCCESS
  - UNANSWERED
  - RINGTIMEOUT

### Syntax

    SLATrunk(trunk,[options])

##### Arguments

- `trunk` - Trunk name
- `options`
  - `M` - Play back the specified MOH class instead of ringing
    - `class`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538